## sgt-puzzles 9872

=== Makefile ===
# Makefile for puzzles under X/GTK and Unix.
#
# This file was created by `mkfiles.pl' from the `Recipe' file.
# DO NOT EDIT THIS FILE DIRECTLY; edit Recipe or mkfiles.pl instead.

# You can define this path to point at your tools if you need to
# TOOLPATH = /opt/gcc/bin
CC := $(TOOLPATH)$(CC)
# You can manually set this to `gtk-config' or `pkg-config gtk+-1.2'
# (depending on what works on your system) if you want to enforce
# building with GTK 1.2, or you can set it to `pkg-config gtk+-2.0'
# if you want to enforce 2.0. The default is to try 2.0 and fall back
# to 1.2 if it isn't found.
GTK_CONFIG = sh -c 'pkg-config gtk+-2.0 $$0 2>/dev/null || gtk-config $$0'

CFLAGS := -O2 -Wall -Werror -ansi -pedantic -g -I./ -Iicons/ `$(GTK_CONFIG) \
		--cflags` $(CFLAGS)
XLIBS = `$(GTK_CONFIG) --libs` -lm
ULIBS = -lm#
INSTALL=install
INSTALL_PROGRAM=$(INSTALL)
INSTALL_DATA=$(INSTALL)
prefix=/usr/local
exec_prefix=$(prefix)
bindir=$(exec_prefix)/bin
gamesdir=$(exec_prefix)/games
mandir=$(prefix)/man
man1dir=$(mandir)/man1

all: $(BINPREFIX)blackbox $(BINPREFIX)bridges $(BINPREFIX)cube \
		$(BINPREFIX)dominosa $(BINPREFIX)fifteen $(BINPREFIX)filling \
		$(BINPREFIX)fillingsolver $(BINPREFIX)flip \
		$(BINPREFIX)galaxies $(BINPREFIX)galaxiespicture \
		$(BINPREFIX)galaxiessolver $(BINPREFIX)guess \
		$(BINPREFIX)inertia $(BINPREFIX)keen $(BINPREFIX)keensolver \
		$(BINPREFIX)latincheck $(BINPREFIX)lightup \
		$(BINPREFIX)lightupsolver $(BINPREFIX)loopy \
		$(BINPREFIX)loopysolver $(BINPREFIX)magnets \
		$(BINPREFIX)magnetssolver $(BINPREFIX)map \
		$(BINPREFIX)mapsolver $(BINPREFIX)mineobfusc \
		$(BINPREFIX)mines $(BINPREFIX)net $(BINPREFIX)netslide \
		$(BINPREFIX)nullgame $(BINPREFIX)obfusc $(BINPREFIX)pattern \
		$(BINPREFIX)patternsolver $(BINPREFIX)pearl \
		$(BINPREFIX)pearlbench $(BINPREFIX)pegs $(BINPREFIX)range \
		$(BINPREFIX)rect $(BINPREFIX)samegame $(BINPREFIX)signpost \
		$(BINPREFIX)signpostsolver $(BINPREFIX)singles \
		$(BINPREFIX)singlessolver $(BINPREFIX)sixteen \
		$(BINPREFIX)slant $(BINPREFIX)slantsolver $(BINPREFIX)solo \
		$(BINPREFIX)solosolver $(BINPREFIX)tents \
		$(BINPREFIX)tentssolver $(BINPREFIX)towers \
		$(BINPREFIX)towerssolver $(BINPREFIX)twiddle \
		$(BINPREFIX)undead $(BINPREFIX)unequal \
		$(BINPREFIX)unequalsolver $(BINPREFIX)unruly \
		$(BINPREFIX)unrulysolver $(BINPREFIX)untangle

$(BINPREFIX)blackbox: blackbox.o blackbox-icon.o drawing.o gtk.o malloc.o \
		midend.o misc.o printing.o ps.o random.o version.o
	$(CC) -o $@ blackbox.o blackbox-icon.o drawing.o gtk.o malloc.o \
		midend.o misc.o printing.o ps.o random.o version.o  \
		$(XLFLAGS) $(XLIBS)

$(BINPREFIX)bridges: bridges.o bridges-icon.o drawing.o dsf.o gtk.o malloc.o \
		midend.o misc.o printing.o ps.o random.o version.o
	$(CC) -o $@ bridges.o bridges-icon.o drawing.o dsf.o gtk.o malloc.o \
		midend.o misc.o printing.o ps.o random.o version.o  \
		$(XLFLAGS) $(XLIBS)

$(BINPREFIX)cube: cube.o cube-icon.o drawing.o gtk.o malloc.o midend.o \
		misc.o printing.o ps.o random.o version.o
	$(CC) -o $@ cube.o cube-icon.o drawing.o gtk.o malloc.o midend.o \
		misc.o printing.o ps.o random.o version.o  $(XLFLAGS) \
		$(XLIBS)

$(BINPREFIX)dominosa: dominosa.o dominosa-icon.o drawing.o gtk.o laydomino.o \
		malloc.o midend.o misc.o printing.o ps.o random.o version.o
	$(CC) -o $@ dominosa.o dominosa-icon.o drawing.o gtk.o laydomino.o \
		malloc.o midend.o misc.o printing.o ps.o random.o version.o  \
		$(XLFLAGS) $(XLIBS)

$(BINPREFIX)fifteen: drawing.o fifteen.o fifteen-icon.o gtk.o malloc.o \
		midend.o misc.o printing.o ps.o random.o version.o
	$(CC) -o $@ drawing.o fifteen.o fifteen-icon.o gtk.o malloc.o \
		midend.o misc.o printing.o ps.o random.o version.o  \
		$(XLFLAGS) $(XLIBS)

$(BINPREFIX)filling: drawing.o dsf.o filling.o filling-icon.o gtk.o malloc.o \
		midend.o misc.o printing.o ps.o random.o version.o
	$(CC) -o $@ drawing.o dsf.o filling.o filling-icon.o gtk.o malloc.o \
		midend.o misc.o printing.o ps.o random.o version.o  \
		$(XLFLAGS) $(XLIBS)

$(BINPREFIX)fillingsolver: dsf.o filling2.o malloc.o misc.o nullfe.o \
		random.o
	$(CC) -o $@ dsf.o filling2.o malloc.o misc.o nullfe.o random.o  \
		$(XLFLAGS) $(ULIBS)

$(BINPREFIX)flip: drawing.o flip.o flip-icon.o gtk.o malloc.o midend.o \
		misc.o printing.o ps.o random.o tree234.o version.o
	$(CC) -o $@ drawing.o flip.o flip-icon.o gtk.o malloc.o midend.o \
		misc.o printing.o ps.o random.o tree234.o version.o  \
		$(XLFLAGS) $(XLIBS)

$(BINPREFIX)galaxies: drawing.o dsf.o galaxies.o galaxies-icon.o gtk.o \
		malloc.o midend.o misc.o printing.o ps.o random.o version.o
	$(CC) -o $@ drawing.o dsf.o galaxies.o galaxies-icon.o gtk.o \
		malloc.o midend.o misc.o printing.o ps.o random.o version.o  \
		$(XLFLAGS) $(XLIBS)

$(BINPREFIX)galaxiespicture: dsf.o galaxie4.o malloc.o misc.o nullfe.o \
		random.o
	$(CC) -o $@ dsf.o galaxie4.o malloc.o misc.o nullfe.o random.o -lm \
		$(XLFLAGS) $(ULIBS)

$(BINPREFIX)galaxiessolver: dsf.o galaxie2.o malloc.o misc.o nullfe.o \
		random.o
	$(CC) -o $@ dsf.o galaxie2.o malloc.o misc.o nullfe.o random.o -lm \
		$(XLFLAGS) $(ULIBS)

$(BINPREFIX)guess: drawing.o gtk.o guess.o guess-icon.o malloc.o midend.o \
		misc.o printing.o ps.o random.o version.o
	$(CC) -o $@ drawing.o gtk.o guess.o guess-icon.o malloc.o midend.o \
		misc.o printing.o ps.o random.o version.o  $(XLFLAGS) \
		$(XLIBS)

$(BINPREFIX)inertia: drawing.o gtk.o inertia.o inertia-icon.o malloc.o \
		midend.o misc.o printing.o ps.o random.o version.o
	$(CC) -o $@ drawing.o gtk.o inertia.o inertia-icon.o malloc.o \
		midend.o misc.o printing.o ps.o random.o version.o  \
		$(XLFLAGS) $(XLIBS)

$(BINPREFIX)keen: drawing.o dsf.o gtk.o keen.o keen-icon.o latin.o malloc.o \
		maxflow.o midend.o misc.o printing.o ps.o random.o tree234.o \
		version.o
	$(CC) -o $@ drawing.o dsf.o gtk.o keen.o keen-icon.o latin.o \
		malloc.o maxflow.o midend.o misc.o printing.o ps.o random.o \
		tree234.o version.o  $(XLFLAGS) $(XLIBS)

$(BINPREFIX)keensolver: dsf.o keen2.o latin6.o malloc.o maxflow.o misc.o \
		nullfe.o random.o tree234.o
	$(CC) -o $@ dsf.o keen2.o latin6.o malloc.o maxflow.o misc.o \
		nullfe.o random.o tree234.o  $(XLFLAGS) $(ULIBS)

$(BINPREFIX)latincheck: latin8.o malloc.o maxflow.o misc.o nullfe.o random.o \
		tree234.o
	$(CC) -o $@ latin8.o malloc.o maxflow.o misc.o nullfe.o random.o \
		tree234.o  $(XLFLAGS) $(ULIBS)

$(BINPREFIX)lightup: combi.o drawing.o gtk.o lightup.o lightup-icon.o \
		malloc.o midend.o misc.o printing.o ps.o random.o version.o
	$(CC) -o $@ combi.o drawing.o gtk.o lightup.o lightup-icon.o \
		malloc.o midend.o misc.o printing.o ps.o random.o version.o  \
		$(XLFLAGS) $(XLIBS)

$(BINPREFIX)lightupsolver: combi.o lightup2.o malloc.o misc.o nullfe.o \
		random.o
	$(CC) -o $@ combi.o lightup2.o malloc.o misc.o nullfe.o random.o  \
		$(XLFLAGS) $(ULIBS)

$(BINPREFIX)loopy: drawing.o dsf.o grid.o gtk.o loopgen.o loopy.o \
		loopy-icon.o malloc.o midend.o misc.o penrose.o printing.o \
		ps.o random.o tree234.o version.o
	$(CC) -o $@ drawing.o dsf.o grid.o gtk.o loopgen.o loopy.o \
		loopy-icon.o malloc.o midend.o misc.o penrose.o printing.o \
		ps.o random.o tree234.o version.o  $(XLFLAGS) $(XLIBS)

$(BINPREFIX)loopysolver: dsf.o grid.o loopgen.o loopy2.o malloc.o misc.o \
		nullfe.o penrose.o random.o tree234.o
	$(CC) -o $@ dsf.o grid.o loopgen.o loopy2.o malloc.o misc.o nullfe.o \
		penrose.o random.o tree234.o -lm $(XLFLAGS) $(ULIBS)

$(BINPREFIX)magnets: drawing.o gtk.o laydomino.o magnets.o magnets-icon.o \
		malloc.o midend.o misc.o printing.o ps.o random.o version.o
	$(CC) -o $@ drawing.o gtk.o laydomino.o magnets.o magnets-icon.o \
		malloc.o midend.o misc.o printing.o ps.o random.o version.o  \
		$(XLFLAGS) $(XLIBS)

$(BINPREFIX)magnetssolver: laydomino.o magnets2.o malloc.o misc.o nullfe.o \
		random.o
	$(CC) -o $@ laydomino.o magnets2.o malloc.o misc.o nullfe.o random.o \
		-lm $(XLFLAGS) $(ULIBS)

$(BINPREFIX)map: drawing.o dsf.o gtk.o malloc.o map.o map-icon.o midend.o \
		misc.o printing.o ps.o random.o version.o
	$(CC) -o $@ drawing.o dsf.o gtk.o malloc.o map.o map-icon.o midend.o \
		misc.o printing.o ps.o random.o version.o  $(XLFLAGS) \
		$(XLIBS)

$(BINPREFIX)mapsolver: dsf.o malloc.o map2.o misc.o nullfe.o random.o
	$(CC) -o $@ dsf.o malloc.o map2.o misc.o nullfe.o random.o -lm \
		$(XLFLAGS) $(ULIBS)

$(BINPREFIX)mineobfusc: malloc.o mines2.o misc.o nullfe.o random.o tree234.o
	$(CC) -o $@ malloc.o mines2.o misc.o nullfe.o random.o tree234.o  \
		$(XLFLAGS) $(ULIBS)

$(BINPREFIX)mines: drawing.o gtk.o malloc.o midend.o mines.o mines-icon.o \
		misc.o printing.o ps.o random.o tree234.o version.o
	$(CC) -o $@ drawing.o gtk.o malloc.o midend.o mines.o mines-icon.o \
		misc.o printing.o ps.o random.o tree234.o version.o  \
		$(XLFLAGS) $(XLIBS)

$(BINPREFIX)net: drawing.o dsf.o gtk.o malloc.o midend.o misc.o net.o \
		net-icon.o printing.o ps.o random.o tree234.o version.o
	$(CC) -o $@ drawing.o dsf.o gtk.o malloc.o midend.o misc.o net.o \
		net-icon.o printing.o ps.o random.o tree234.o version.o  \
		$(XLFLAGS) $(XLIBS)

$(BINPREFIX)netslide: drawing.o gtk.o malloc.o midend.o misc.o netslide.o \
		netslide-icon.o printing.o ps.o random.o tree234.o version.o
	$(CC) -o $@ drawing.o gtk.o malloc.o midend.o misc.o netslide.o \
		netslide-icon.o printing.o ps.o random.o tree234.o version.o \
		 $(XLFLAGS) $(XLIBS)

$(BINPREFIX)nullgame: drawing.o gtk.o malloc.o midend.o misc.o no-icon.o \
		nullgame.o printing.o ps.o random.o version.o
	$(CC) -o $@ drawing.o gtk.o malloc.o midend.o misc.o no-icon.o \
		nullgame.o printing.o ps.o random.o version.o  $(XLFLAGS) \
		$(XLIBS)

$(BINPREFIX)obfusc: malloc.o misc.o nullfe.o obfusc.o random.o
	$(CC) -o $@ malloc.o misc.o nullfe.o obfusc.o random.o  $(XLFLAGS) \
		$(ULIBS)

$(BINPREFIX)pattern: drawing.o gtk.o malloc.o midend.o misc.o pattern.o \
		pattern-icon.o printing.o ps.o random.o version.o
	$(CC) -o $@ drawing.o gtk.o malloc.o midend.o misc.o pattern.o \
		pattern-icon.o printing.o ps.o random.o version.o  \
		$(XLFLAGS) $(XLIBS)

$(BINPREFIX)patternsolver: malloc.o misc.o nullfe.o pattern2.o random.o
	$(CC) -o $@ malloc.o misc.o nullfe.o pattern2.o random.o  $(XLFLAGS) \
		$(ULIBS)

$(BINPREFIX)pearl: drawing.o dsf.o grid.o gtk.o loopgen.o malloc.o midend.o \
		misc.o pearl.o pearl-icon.o penrose.o printing.o ps.o \
		random.o tdq.o tree234.o version.o
	$(CC) -o $@ drawing.o dsf.o grid.o gtk.o loopgen.o malloc.o midend.o \
		misc.o pearl.o pearl-icon.o penrose.o printing.o ps.o \
		random.o tdq.o tree234.o version.o  $(XLFLAGS) $(XLIBS)

$(BINPREFIX)pearlbench: dsf.o grid.o loopgen.o malloc.o misc.o nullfe.o \
		pearl2.o penrose.o random.o tdq.o tree234.o
	$(CC) -o $@ dsf.o grid.o loopgen.o malloc.o misc.o nullfe.o pearl2.o \
		penrose.o random.o tdq.o tree234.o -lm $(XLFLAGS) $(ULIBS)

$(BINPREFIX)pegs: drawing.o gtk.o malloc.o midend.o misc.o pegs.o \
		pegs-icon.o printing.o ps.o random.o tree234.o version.o
	$(CC) -o $@ drawing.o gtk.o malloc.o midend.o misc.o pegs.o \
		pegs-icon.o printing.o ps.o random.o tree234.o version.o  \
		$(XLFLAGS) $(XLIBS)

$(BINPREFIX)range: drawing.o gtk.o malloc.o midend.o misc.o printing.o ps.o \
		random.o range.o range-icon.o version.o
	$(CC) -o $@ drawing.o gtk.o malloc.o midend.o misc.o printing.o ps.o \
		random.o range.o range-icon.o version.o  $(XLFLAGS) $(XLIBS)

$(BINPREFIX)rect: drawing.o gtk.o malloc.o midend.o misc.o printing.o ps.o \
		random.o rect.o rect-icon.o version.o
	$(CC) -o $@ drawing.o gtk.o malloc.o midend.o misc.o printing.o ps.o \
		random.o rect.o rect-icon.o version.o  $(XLFLAGS) $(XLIBS)

$(BINPREFIX)samegame: drawing.o gtk.o malloc.o midend.o misc.o printing.o \
		ps.o random.o samegame.o samegame-icon.o version.o
	$(CC) -o $@ drawing.o gtk.o malloc.o midend.o misc.o printing.o ps.o \
		random.o samegame.o samegame-icon.o version.o  $(XLFLAGS) \
		$(XLIBS)

$(BINPREFIX)signpost: drawing.o dsf.o gtk.o malloc.o midend.o misc.o \
		printing.o ps.o random.o signpost.o signpost-icon.o \
