=== debian/changelog ===
sgt-puzzles (9872-1) unstable; urgency=low

  * New upstream version
    - Add an explicit -lm to the link lines in Makefile.gtk (Closes: #713476)
    - Add Undead by Steffen Bauer, an implementation of 'Haunted Mirror Maze'
    - Add Unruly by Lennard Sprong, an implementation of a puzzle usually
      called 'Tohu wa Vohu'
  * Add DEP-3 headers to patches
  * pearl: Require width or height to be at least 6 for Tricky
    (Closes: #667963)
  * debian/watch: Update ViewVC URL regex
  * Add 'sgt-' prefix to all command names and remove 'game' suffix, but
    retain symlinks under the old names (see #684193)
  * Use upstream short descriptions in English manual pages and package
    description
  * Update German translation, thanks to Helge Kreutzmann

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 30 Jun 2013 03:20:16 +0100
