## sgt-puzzles 20140928.r10274

=== debian/changelog ===
sgt-puzzles (20140928.r10274-1) unstable; urgency=medium

  * New upstream version
    - Version scheme is now date-based
    - Fix a failure to warn about non-unique rows/columns in non-square Unruly
      grids (Closes: #718354)
  * Add Debian menu entries for Range and Signpost
  * debian/watch: Delete, as new versions are date-based and there is
    currently no obvious way to find the last date changed
  * Disable 304_combine-binaries.diff which no longer applies
  * Build using autotools
    - Drop patches 301_fix-install-dirs.diff, 305_no-werror.diff
  * Exclude puzzles.chm from orig tarball because it requires non-free tools
    to regenerate from source
  * Update policy version to 3.9.6; no changes required

 -- Ben Hutchings <ben@decadent.org.uk>  Wed, 01 Oct 2014 22:10:50 +0100
