=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Maintainer: Ben Hutchings <ben@decadent.org.uk>
 Section: games
 Priority: extra
-Build-Depends: debhelper (>= 7.0.50~), halibut, libgtk2.0-dev, liblocale-po-perl, perl, po4a
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 7.0.50~), halibut, libgtk2.0-dev, liblocale-po-perl, perl, po4a, autoconf, automake
+Standards-Version: 3.9.6
 Homepage: http://www.chiark.greenend.org.uk/~sgtatham/puzzles/
 Vcs-Git: http://git.decadent.org.uk/git/sgt-puzzles.git/
 Vcs-Browser: http://git.decadent.org.uk/gitweb?p=sgt-puzzles.git
