## sgt-puzzles 20150310.ffe0aa6-1

=== debian/changelog ===
sgt-puzzles (20150310.ffe0aa6-1) unstable; urgency=medium

  * New upstream version
  * Ingame-help

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Wed, 01 Oct 2014 22:10:50 +0100
