## sgt-puzzles 20160429.b31155b

=== debian/changelog ===
sgt-puzzles (20160429.b31155b-1ubuntu1) zesty; urgency=medium

  * Avoid FTBFS by building with -O2 on ppc64el

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 11 Jan 2017 11:19:09 +0200

sgt-puzzles (20160429.b31155b-1) unstable; urgency=medium

  * New upstream version (Closes: #791982)
    - Add Flood, a flood-filling puzzle
    - Add Palisade by Jonas Kölker, an implementation of 'Five Cells'
    - Add Tracks by James Harvey, a path-finding railway track puzzle
  * debian/control: Change Vcs-Git and Vcs-Browser to HTTP-S URLs
  * Fix HTML filenames for Rectangles (Closes: #819906)
  * debian/rules: Use dpkg makefile fragments to set DEBIAN_VERSION
  * debian/rules: Use dpkg-recommended build flags (Closes: #767531)
  * Remove command aliases without the 'sgt-' prefix (Closes: #684193)
  * towers.c: Fix FTBFS with gcc 6 (Closes: #811577)
  * debian/rules: Disable running tests; upstream tarballs don't include the
    necessary files
  * Add desktop files and Debian menu entries for the new puzzles
  * mkmanpages.pl: Fix regexp syntax warnings
  * mkmanpages.pl: Update for new version format
  * Change help browser search path to xdg-open:sensible-browser, since yelp
    and khelpcenter no longer work with arbitrary HTML files
  * Use msgmerge --previous option when updating .po files, thanks to
    Helge Kreutzmann
  * Update German translation, thanks to Helge Kreutzmann

 -- Ben Hutchings <ben@decadent.org.uk>  Wed, 20 Jul 2016 01:34:44 +0100
