## sgt-puzzles 20161228.7cae89f

=== debian/changelog ===
sgt-puzzles (20161228.7cae89f-1ubuntu1) zesty; urgency=medium

  * Merge with Debian unstable, remaining changes:
    + Avoid FTBFS by building with -O2 on ppc64el

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 18 Jan 2017 13:32:31 +0200

sgt-puzzles (20161228.7cae89f-1) unstable; urgency=medium

  * New upstream version
  * debian/rules: Generate menu file automatically, fixing the omission
    of Undead and Unruly (Closes: #832797)
  * Use debhelper compatibility level 9
  * debian/control: Update Standards-Version to 3.9.8; no changes needed
  * Build with Gtk+ 3

 -- Ben Hutchings <ben@decadent.org.uk>  Tue, 17 Jan 2017 23:57:33 +0000
 
