=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 XSBC-Original-Maintainer: Ben Hutchings <ben@decadent.org.uk>
 Section: games
 Priority: extra
-Build-Depends: debhelper (>= 7.0.50~), halibut, libgtk2.0-dev, liblocale-po-perl, perl, po4a, autoconf, automake
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9), halibut, libgtk-3-dev, liblocale-po-perl, perl, po4a, autoconf, automake
+Standards-Version: 3.9.8
 Homepage: http://www.chiark.greenend.org.uk/~sgtatham/puzzles/
 Vcs-Git: https://git.decadent.org.uk/git/sgt-puzzles.git/
 Vcs-Browser: https://git.decadent.org.uk/gitweb?p=sgt-puzzles.git
