=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,7 @@
 		 depcomp install-sh list.c missing preprocessed.but \
 		 puzzles.cnt puzzles.hlp puzzles.txt
 
+CFLAGS += -Wno-error=deprecated-declarations
 ifeq ($(DEB_HOST_ARCH), ppc64el)
 CFLAGS := $(filter-out -O3,$(CFLAGS)) -O2
 endif
@@ -58,6 +59,10 @@
 	    || exit; \
 	done
 
+override_dh_installmenu:
+	awk -F: '{ printf "?package(sgt-puzzles):needs=\"x11\" section=\"Games/Puzzles\" title=\"%s\" command=\"/usr/games/sgt-%s\"\n", $$3, $$1 }' < gamedesc.txt > debian/sgt-puzzles.menu
+	dh_installmenu
+
 override_dh_auto_clean:
 	! [ -f Makefile ] || $(MAKE) distclean
 	$(MAKE) -f Makefile.doc clean
@@ -67,7 +72,7 @@
 		rm -f $(AUTOGEN_FILES);			\
 	fi
 	rm -f po
-	dh_clean debian/substvars compile gamedesc.txt version2.def
+	dh_clean debian/sgt-puzzles.menu debian/substvars compile gamedesc.txt version2.def
 
 get-orig-source:
 	wget -O puzzles-new.tar.gz http://www.chiark.greenend.org.uk/~sgtatham/puzzles/puzzles.tar.gz
